Proiecte
GET https://rzx.bio/api/projects/
curl --request GET \
--url 'https://rzx.bio/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://rzx.bio/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Detalii | Descriere |
|---|---|---|
| search | Opțional Şir | Cuvântul de căutare. |
| search_by | Opțional Şir | În ce câmp căutați. Valorile permise sunt: name. |
| datetime_field | Opțional Şir | Valori permise: datetime, last_datetime |
| datetime_start | Opțional Şir | Filtrează rezultatele începând de la această dată și oră. Format Y-m-d H:i:s. |
| datetime_end | Opțional Şir | Filtrează rezultatele până la această dată și oră. Format Y-m-d H:i:s. |
| order_by | Opțional Şir | După ce câmp să se ordoneze rezultatele. Valorile permise sunt: project_id, datetime, last_datetime, name. |
| order_type | Opțional Şir | Ordonarea rezultatelor. Valorile permise sunt: ASC pentru ordonare crescătoare și DESC pentru ordonare descrescătoare. |
| page | Opțional Număr întreg | Numărul paginii de la care doriți rezultatele. Implicit este setat la 1. |
| results_per_page | Opțional Număr întreg | Câte rezultate dorești pe pagină. Valorile permise sunt: 10, 25, 50, 100, 250, 500, 1000. Implicit este 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-08-02 20:29:20",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://rzx.bio/api/projects?page=1",
"last": "https://rzx.bio/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://rzx.bio/api/projects?page=1"
}
}
GET https://rzx.bio/api/projects/{project_id}
curl --request GET \
--url 'https://rzx.bio/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://rzx.bio/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-08-02 20:29:20",
}
}
POST https://rzx.bio/api/projects
| Parametri | Detalii | Descriere |
|---|---|---|
| name | Obligatoriu Şir | - |
| color | Opțional Şir | - |
curl --request POST \
--url 'https://rzx.bio/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--url 'https://rzx.bio/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
"data": {
"id": 1
}
}
POST https://rzx.bio/api/projects/{project_id}
| Parametri | Detalii | Descriere |
|---|---|---|
| name | Opțional Şir | - |
| color | Opțional Şir | - |
curl --request POST \
--url 'https://rzx.bio/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--url 'https://rzx.bio/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
"data": {
"id": 1
}
}
DELETE https://rzx.bio/api/projects/{project_id}
curl --request DELETE \
--url 'https://rzx.bio/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://rzx.bio/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \